package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 审核流程比表实体类
 */
@Data
public class AuditProcess {

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("流程名称")
    private String name;

    @ApiModelProperty("流程类型")
    private String type;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("删除标记，0.未删除，1.已删除")
    private Boolean deletedFlag;



}
